print/libcups - The NetBSD Packages Collection

Common UNIX Printing System library

The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems. It has been developed by Easy Software Products
to promote a standard printing solution for all UNIX vendors and users.
CUPS provides the System V and Berkeley command-line interfaces.

CUPS uses the Internet Printing Protocol (IETF-IPP) as the basis for
managing print jobs and queues.  The Line Printer Daemon (LPD, RFC1179)
and AppSocket protocols are also supported with reduced functionality.

CUPS adds network printer browsing and PostScript Printer Description
("PPD")-based printing options to support real world applications under
UNIX.

This package consists of the library used for talking to CUPS.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/automake devel/autoconf devel/gmake devel/pkgconf

Runtime dependencies

sysutils/dbus graphics/png graphics/tiff print/libpaper security/gnutls textproc/libunistring graphics/png graphics/tiff security/gnutls textproc/libunistring

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibcups-2.3.3nb5.tgz
NetBSD 8.0earmv7hflibcups-2.3.3nb5.tgz
NetBSD 8.0earmv7hflibcups-2.3.3op2.tgz
NetBSD 8.0earmv7hflibcups-2.3.3nb5.tgz
NetBSD 8.0i386libcups-2.3.3nb5.tgz
NetBSD 8.0i386libcups-2.3.3nb5.tgz
NetBSD 8.0i386libcups-2.3.3op2.tgz
NetBSD 8.0powerpclibcups-2.3.3nb5.tgz
NetBSD 8.0powerpclibcups-2.3.3nb5.tgz
NetBSD 8.0powerpclibcups-2.3.3nb5.tgz
NetBSD 8.0x86_64libcups-2.3.3nb5.tgz
NetBSD 8.0x86_64libcups-2.3.3nb5.tgz
NetBSD 9.0aarch64libcups-2.3.3op2.tgz
NetBSD 9.0aarch64libcups-2.3.3nb5.tgz
NetBSD 9.0aarch64libcups-2.3.3nb5.tgz
NetBSD 9.0alphalibcups-2.3.3op2.tgz
NetBSD 9.0alphalibcups-2.3.3nb5.tgz
NetBSD 9.0alphalibcups-2.3.3nb5.tgz
NetBSD 9.0earmlibcups-2.3.3nb5.tgz
NetBSD 9.0earmlibcups-2.3.3nb5.tgz
NetBSD 9.0earmlibcups-2.3.3op2.tgz
NetBSD 9.0earmv6hflibcups-2.3.3op2.tgz
NetBSD 9.0earmv6hflibcups-2.3.3nb5.tgz
NetBSD 9.0earmv6hflibcups-2.3.3nb5.tgz
NetBSD 9.0earmv6hflibcups-2.3.3nb5.tgz
NetBSD 9.0earmv7hflibcups-2.3.3op2.tgz
NetBSD 9.0earmv7hflibcups-2.3.3nb5.tgz
NetBSD 9.0earmv7hflibcups-2.3.3nb5.tgz
NetBSD 9.0earmv7hflibcups-2.3.3nb5.tgz
NetBSD 9.0earmv7hflibcups-2.3.3nb5.tgz
NetBSD 9.0i386libcups-2.3.3nb5.tgz
NetBSD 9.0i386libcups-2.3.3nb5.tgz
NetBSD 9.0i386libcups-2.3.3op2.tgz
NetBSD 9.0m68klibcups-2.3.3op2.tgz
NetBSD 9.0m68klibcups-2.3.3nb5.tgz
NetBSD 9.0m68klibcups-2.3.3nb5.tgz
NetBSD 9.0mips64eblibcups-2.3.3op2.tgz
NetBSD 9.0mips64eblibcups-2.3.3nb5.tgz
NetBSD 9.0mips64eblibcups-2.3.3nb5.tgz
NetBSD 9.0mipsellibcups-2.3.3nb5.tgz
NetBSD 9.0mipsellibcups-2.3.3op2.tgz
NetBSD 9.0powerpclibcups-2.3.3nb5.tgz
NetBSD 9.0powerpclibcups-2.3.3nb5.tgz
NetBSD 9.0sh3ellibcups-2.3.3nb5.tgz
NetBSD 9.0sh3ellibcups-2.3.3nb5.tgz
NetBSD 9.0sh3ellibcups-2.3.3op2.tgz
NetBSD 9.0sparc64libcups-2.3.3op2.tgz
NetBSD 9.0sparc64libcups-2.3.3nb3.tgz
NetBSD 9.0sparc64libcups-2.3.3nb5.tgz
NetBSD 9.0sparc64libcups-2.3.3nb5.tgz
NetBSD 9.0sparclibcups-2.3.3op2.tgz
NetBSD 9.0sparclibcups-2.3.3nb5.tgz
NetBSD 9.0sparclibcups-2.3.3nb5.tgz
NetBSD 9.0vaxlibcups-2.3.3nb5.tgz
NetBSD 9.0x86_64libcups-2.3.3nb5.tgz
NetBSD 9.0x86_64libcups-2.3.3nb5.tgz
NetBSD 9.0x86_64libcups-2.3.3op1.tgz
NetBSD 9.0x86_64libcups-2.3.3nb5.tgz
NetBSD 9.0x86_64libcups-2.3.3nb5.tgz
NetBSD 9.0x86_64libcups-2.3.3op2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

acl
Enable POSIX ACL support.
avahi
Enable DNS service discovery and multicast DNS support.
dbus
Enable dbus (desktop bus) support.
dnssd
Enable DNS Service Discovery Protocol support.
kerberos
Enable Kerberos support.
tcpwrappers
Enable tcpwrappers support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.